Get Alert Definition By Id
Using this method, you can look up details about a particular alert definition
The id of the Alert Definition
The Alert Definition corresponding to the identifier specified
"{\n \"id\" : \"AlertDefinition-147ff080-8801-c60d-4f08-931b6fb602e2\",\n \"name\" : \"MyAlertDefinition\",\n \"description\" : \"An Alert Definition associated with ESX host\",\n \"adapterKindKey\" : \"VMWARE\",\n \"resourceKindKey\" : \"HostSystem\",\n \"waitCycles\" : 3,\n \"cancelCycles\" : 2,\n \"type\" : 0,\n \"subType\" : 0,\n \"states\" : [ {\n \"severity\" : \"CRITICAL\",\n \"base-symptom-set\" : {\n \"type\" : \"SYMPTOM_SET\",\n \"relation\" : \"SELF\",\n \"aggregation\" : \"ALL\",\n \"symptomDefinitionIds\" : [ \"SymptomDefinition-5\" ]\n },\n \"impact\" : {\n \"impactType\" : \"BADGE\",\n \"detail\" : \"Health\"\n }\n } ],\n \"forVCDTenants\" : false\n}"
The adapter kind key of the Adapter Kind that the Alert Definition applies to
The Number of cycles the symptom conditions are false before ending the problem alert
The description of the problem definition
Is alert definition for tenants or not
The unique identifier across the system. Must be null during create
The Name of the Problem Definition
The resource kind key for the Resource Kind that the Alert Definition applies to
An Alert Definition state identifies the severity and impact a problem has when the
set of Symptom Definition conditions are true. One Alert Definition state per severity.
The sub type of the problem, for the purposes of routing an alert
generated by this problem.
The type of the problem, for the purposes of routing an alert generated
by this problem.
The Number of cycles the symptom conditions are true before triggering the problem alert
No Alert Definition has been found for the identifier specified
curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/alertdefinitions/{id}